#ifndef _VisibilityEnvironment_H__
#define _VisibilityEnvironment_H__

namespace GtpVisibility {

/** This class provides different parameters for the visibility manager.
*/
class VisibilityEnvironment
{
public:
    VisibilityEnvironment();
	
	/** Different types of occlusion culling algorithms 
	*/
	enum CullingManagerType {FRUSTUM_CULLING, 
							 STOP_AND_WAIT_CULLING, 
							 COHERENT_HIERARCHICAL_CULLING, 
							 NUM_CULLING_MANAGERS};

	/** Loads an environment from disk.
	*/
	void LoadEnvironment();
};
} // namespace GtpVisibility

#endif // VisibilityEnvironment_H